package fr.iutfbleau.projetIHM2022FI2.MP.ROOT.Controller;

import java.awt.event.ActionListener;

import javax.swing.*;

import fr.iutfbleau.projetIHM2022FI2.MP.ROOT.View.FenetreSelectionEtu;

import java.awt.event.ActionEvent;

/**
 * listener pour la création d'étudiants
 */
public class ActionListenerNouveauEtu implements ActionListener{
	// la fenetre de sélection
    private FenetreSelectionEtu pere;
		/**
		 * le constructeur
		 * @param pere la fenetre de sélection
		 */
    public ActionListenerNouveauEtu(FenetreSelectionEtu pere){
        this.pere=pere;
    }
		/**
		 * méthode invoquée lors d'un clic sur un bouton
		 * @param e l'événement
		 */
    @Override
    public void actionPerformed(ActionEvent e) {
        if(e.getActionCommand()=="tous"){
            this.pere.addAll();
        }else{
            JPanel myPanel = new JPanel();
            JTextField xField = new JTextField(20);
            JTextField yField = new JTextField(20);
            myPanel.add(new JLabel("Nom:"));
            myPanel.add(xField);
            myPanel.add(Box.createHorizontalStrut(15)); 
            myPanel.add(new JLabel("Prenom:"));
            myPanel.add(yField);
            int result = JOptionPane.showConfirmDialog(this.pere, myPanel, 
                                "Entrer le nombre et le nom des Partitions", JOptionPane.OK_CANCEL_OPTION);
            if(result==JOptionPane.YES_OPTION){
                this.pere.addEtudiant(xField.getText(), yField.getText());
            }
        }
    }
    
}
